# gumstix verdex XL6P configuration

# daemon configuration
telnet_port 4444
gdb_port 3333

interface ft2232
ft2232_layout olimex-jtag
#ft2232_vid_pid 0x15BA 0x0004
ft2232_vid_pid 0x15BA 0x0003
ft2232_device_desc "Olimex OpenOCD JTAG"

adapter_nsrst_delay 260

jtag_khz 0
jtag_nsrst_delay 260
jtag_ntrst_delay 0

reset_config trst_and_srst separate
#reset_config trst_and_srst

jtag newtap pxa270 cpu -irlen 7 -ircapture 0x1 -irmask 0x7f -expected-id 0x49265013 -expected-id 0x79265013
target create pxa270.cpu xscale -endian little -chain-position pxa270.cpu -variant pxa27x

#pxa270.cpu configure -work-area-phys 0x5c000000 -work-area-size 0x10000 -work-area-backup 0
pxa270.cpu configure -work-area-phys 0xa4100000 -work-area-size 0x10000 -work-area-backup 0

#flash bank <name> <driver> <base> <size> <chip_width> <bus_width>
flash bank cfi cfi 0x00000000 0x2000000 2 2 pxa270.cpu
